按照LNMP官网的安装步骤顺利装完LNMP然后安装./eaccelerator.sh,也顺利装完,但是在探针中却显示eAccelerator不支持,重新系统几遍了,都是这个结果!怎么办?解决办法就是重新手动安装eAccelerator。
输入命令“/etc/init.d/php-fpm restart”命令提示如下:
复制内容到剪贴板
代码:
=======================================================================
[root@finalcn lnmp0.7]# /etc/init.d/php-fpm restart
Shutting down php_fpm . done
Starting php_fpm Failed loading /usr/local/php/lib/php/extensions/no-debug-non-z
ts-20060613/eaccelerator.so: /usr/local/php/lib/php/extensions/no-debug-non-zts
-20060613/eaccelerator.so: cannot open shared object file: No such file or direc
tory
done
[root@finalcn lnmp0.7]#

打开PHP.ini看到“zend_extension=”/usr/local/php/lib/php/extensions/no-debug-non-zts-20060613/eaccelerator.so””
但是,“/no-debug-non-zts-20060613/”目录下根本就没有“eaccelerator.so”这个文件,
而且“/usr/local/php/lib/php/extensions/”下面除了“/no-debug-non-zts-20060613/”也没别的目录了啊!

解决办法:

php如果高于5.2.17的话修改/usr/local/php/etc/php.ini
在文件快点末尾那边找到ea那部分,将 no-debug-non-zts-20060613 修改为 no-debug-non-zts-20090626 然后重启

如果是5.2.17及以下那么肯定是没安装成功。需要重新安装或手动安装。

手动安装:
按eaccelerator.sh

wget -c http://soft.vpser.net/web/eaccelerator/eaccelerator-0.9.6.1.tar.bz2
tar jxvf eaccelerator-0.9.6.1.tar.bz2
cd eaccelerator-0.9.6.1/
/usr/local/php/bin/phpize
./configure --enable-eaccelerator=shared --with-php-config=/usr/local/php/bin/php-config --with-eaccelerator-shared-memory
make
make install
cd ../

via.http://www.lingchenzi.com/2011/08/lnmp-eaccelerator-support-install.html